package main

import (
	"fmt"
	"io/ioutil"
	"time"

	"github.com/tobiasnickel/trsa/golang/trsa"
)

func main() {

	encryptedMessage, err := ioutil.ReadFile("encryptedMessage") // just pass the file name
	if err != nil {
		fmt.Print(err)
	}

	privateKeyPem, err := ioutil.ReadFile("privatekey") // just pass the file name
	if err != nil {
		fmt.Print(err)
	}

	start := makeTimestamp()
	plaintext, err := trsa.Decrypt(encryptedMessage, privateKeyPem)
	if err != nil {
		fmt.Print(err)
	}
	fmt.Println(makeTimestamp() - start)

	fmt.Println("len", len(plaintext))
}

func makeTimestamp() int64 {
	return time.Now().UnixNano() / int64(time.Millisecond)
}
